curl -X POST 'https://api.sendforsign.com/api/contract' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"contract": {
"name": "New contract",
"templateKey": "TEMPLATE_KEY"
},
"placeholders": [
{
"placeholderKey": "PLACEHOLDER_KEY",
"value": "Placeholder value"
},
{
"name": "Placeholder name",
"value": "Placeholder value"
}
]
}
}'
{
"contract": {
"createTime": "2023-12-01 12:18:55",
"contractKey": "CONTRACT_KEY"
},
"code": "201",
"message": "Contract created"
}
Contract
Create and fill in contract
Create a new contract and populate it with the necessary data.
POST
/
api
/
contract
curl -X POST 'https://api.sendforsign.com/api/contract' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"contract": {
"name": "New contract",
"templateKey": "TEMPLATE_KEY"
},
"placeholders": [
{
"placeholderKey": "PLACEHOLDER_KEY",
"value": "Placeholder value"
},
{
"name": "Placeholder name",
"value": "Placeholder value"
}
]
}
}'
{
"contract": {
"createTime": "2023-12-01 12:18:55",
"contractKey": "CONTRACT_KEY"
},
"code": "201",
"message": "Contract created"
}
The best way to fill in contracts is to prepare a template that already contains all the necessary
placeholders in the text. This way, you can populate the necessary data in the right placeholders within
the contracts with a single API call.
Body parameters
object
required
Show child attribute
Show child attribute
string
required
Action type.
string
required
Key of the client.
string
ID of the user who create the contract. If not specified, the default user credentials will be used.
object
required
array
Array of placeholders, optional.
Response
string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/contract' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"contract": {
"name": "New contract",
"templateKey": "TEMPLATE_KEY"
},
"placeholders": [
{
"placeholderKey": "PLACEHOLDER_KEY",
"value": "Placeholder value"
},
{
"name": "Placeholder name",
"value": "Placeholder value"
}
]
}
}'
{
"contract": {
"createTime": "2023-12-01 12:18:55",
"contractKey": "CONTRACT_KEY"
},
"code": "201",
"message": "Contract created"
}
⌘I